package com.ruoyi.web.controller.system.exam;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.system.service.ITdQuestionService;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * 涉密人员培训Controller
 */
@Controller
@RequestMapping("/system/userexam")
public class TdUserExamController extends BaseController {
    private String prefix = "system/exam";

    @RequiresPermissions("system:userexam:view")
    @GetMapping()
    public String index(ModelMap mmap) {
        //获取用户信息
        SysUser user = getSysUser();
        mmap.put("user", user);
        //跳转考试界面
        return prefix + "/index";

    }



}
