package com.ruoyi.common.enums;

/**
 * 业务操作类型
 * 
 * @author ruoyi
 */
public enum BusinessType
{
    /**
     * 其它
     */
    OTHER,

    /**
     * 新增
     */
    INSERT,

    /**
     * 修改
     */
    UPDATE,

    /**
     * 删除
     */
    DELETE,

    /**
     * 授权
     */
    GRANT,

    /**
     * 导出
     */
    EXPORT,

    /**
     * 导入
     */
    IMPORT,

    /**
     * 强退
     */
    FORCE,

    /**
     * 生成代码
     */
    GENCODE,
    
    /**
     * 清空
     */
    CLEAN,

    /**
     * 考试
     */
    EXAM,

    /**
     * 审核操作
     */
    EXAMINE,

    /**
     * 打印操作
     */
    PRINT,

    /**
     * 检查操作
     */
    CHECK,

    /**
     * 重置密码
     */
    RESET,

    /**
     * 账户解锁
     */
    UNLOCKING,

}
