package com.ruoyi.system.domain;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;

/**
 * 行政区域
 * @TableName sys_area
 */
@Data
public class SysArea implements Serializable {
    /**
     * 区域ID
     */
    private String id;

    /**
     * 上级区域ID
     */
    private String parentId;

    /**
     * 行政区域等级 1-省 2-市 3-区县 4-街道镇
     */
    private Integer areaLevel;

    /**
     * 名称
     */
    private String name;

    /**
     * 行政区划代码
     */
    private String areaCode;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}