package com.ruoyi.system.domain.exam;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 考试部门
 * @author 13560
 * @TableName el_exam_depart
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class ElExamDepart implements Serializable {
    /**
     * ID
     */
    @TableId
    private String id;

    /**
     * 考试ID
     */
    private String examId;

    /**
     * 部门ID
     */
    private Long departId;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}