package com.ruoyi.system.domain.paper;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 考试记录答案
 * @TableName el_paper_qu_answer
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class ElPaperQuAnswer implements Serializable {
    /**
     * 自增ID
     */
    @TableId
    private String id;

    /**
     * 试卷ID
     */
    private String paperId;

    /**
     * 回答项ID
     */
    private String answerId;

    /**
     * 题目ID
     */
    private String quId;

    /**
     * 是否正确项
     */
    private Boolean isRight;

    /**
     * 是否选中
     */
    private Boolean checked;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 选项标签
     */
    private String abc;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}