package com.ruoyi.system.domain.qu;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 试题主表
 * @TableName el_qu
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class ElQu implements Serializable {
    /**
     * 题目ID
     */
    @TableId
    private String id;

    /**
     * 题目类型
     */
    private Integer quType;

    /**
     * 1普通,2较难
     */
    private Integer levels;

    /**
     * 题目图片
     */
    private String image;

    /**
     * 题目内容
     */
    private String content;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 题目备注
     */
    private String remark;

    /**
     * 整题解析
     */
    private String analysis;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}