package com.ruoyi.system.domain.qu;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 试题题库关联
 * @TableName el_qu_repo
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class ElQuRepo implements Serializable {
    /**
     * 
     */
    @TableId
    private String id;

    /**
     * 试题
     */
    private String quId;

    /**
     * 归属题库
     */
    private String repoId;

    /**
     * 题目类型
     */
    private Integer quType;

    /**
     * 排序
     */
    private Integer sort;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}