package com.ruoyi.system.domain.qu.dto.ext;

import com.ruoyi.system.domain.qu.dto.QuAnswerDTO;
import com.ruoyi.system.domain.qu.dto.QuDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
* <p>
* 问题题目请求类
* </p>
*
* @author 聪明笨狗
* @since 2020-05-25 13:23
*/
@Data
@ApiModel(value="问题题目详情", description="问题题目详情")
public class QuDetailDTO extends QuDTO {

    private static final long serialVersionUID = 1L;
    
    
    @ApiModelProperty(value = "备选项列表")
    @NotNull(message = "备选项列表不能为空")
    private List<QuAnswerDTO> answerList;

    @ApiModelProperty(value = "题库列表")
    @NotNull(message = "题库列表不能为空")
    private List<String> repoIds;

    
}
