package com.ruoyi.system.domain.repo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 题库信息
 * @author 13560
 * @TableName el_repo
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class ElRepo implements Serializable {
    /**
     * 题库ID
     */
    @TableId
    private String id;


    @ApiModelProperty(value = "题库编号")
    private String code;


    @ApiModelProperty(value = "题库名称")
    private String title;

    @ApiModelProperty(value = "题库备注")
    private String remark;


    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}