package com.ruoyi.system.domain.userbook;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 错题本
 * @author 13560
 * @TableName el_user_book
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class ElUserBook implements Serializable {
    /**
     * ID
     */
    @TableId
    private String id;

    /**
     * 考试ID
     */
    private String examId;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 题目ID
     */
    private String quId;

    /**
     * 加入时间
     */
    private Date createTime;

    /**
     * 最近错误时间
     */
    private Date updateTime;

    /**
     * 错误时间
     */
    private Integer wrongCount;

    /**
     * 题目标题
     */
    private String title;

    /**
     * 错题序号
     */
    private Integer sort;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}