package com.ruoyi.system.domain.userexam;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 考试记录
 * @author 13560
 * @TableName el_user_exam
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class ElUserExam implements Serializable {
    /**
     * 
     */
    @TableId
    private String id;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 考试ID
     */
    private String examId;

    /**
     * 考试次数
     */
    private Integer tryCount;

    /**
     * 最高分数
     */
    private Integer maxScore;

    /**
     * 是否通过
     */
    private Boolean passed;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}