package com.ruoyi.system.domain.userexam.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
* <p>
* 考试记录数据传输类
* </p>
*
* @author 聪明笨狗
* @since 2020-09-21 15:13
*/
@Data
@ApiModel(value="考试记录", description="考试记录")
public class UserExamDTO implements Serializable {

    private static final long serialVersionUID = 1L;
    
    
    private String id;
    
    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @ApiModelProperty(value = "考试ID")
    private String examId;
    
    @ApiModelProperty(value = "考试次数")
    private Integer tryCount;
    
    @ApiModelProperty(value = "最高分数")
    private Integer maxScore;
    
    @ApiModelProperty(value = "是否通过")
    private Boolean passed;
    
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
    
}
