package com.ruoyi.system.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.domain.exam.ElExam;
import com.ruoyi.system.domain.exam.dto.ExamDTO;
import com.ruoyi.system.domain.exam.dto.response.ExamOnlineRespDTO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
* @author 13560
* @description 针对表【el_exam(考试主表)】的数据库操作Mapper
* @createDate 2024-06-28 08:51:41
* @Entity generator.domain.ElExam
*/
@Mapper
public interface ElExamMapper extends BaseMapper<ElExam> {



    public List<ExamDTO> selectExamList(ExamDTO examDTO);


    public List<ExamOnlineRespDTO> onlineExamList(ExamDTO examDTO);

}




