package com.ruoyi.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.domain.paper.ElPaper;
import com.ruoyi.system.domain.paper.dto.request.PaperListReqDTO;
import com.ruoyi.system.domain.paper.dto.response.PaperListRespDTO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
* @author 13560
* @description 针对表【el_paper(考试记录)】的数据库操作Mapper
* @createDate 2024-06-28 15:02:53
* @Entity generator.domain.ElPaper
*/
@Mapper
public interface ElPaperMapper extends BaseMapper<ElPaper> {


    /**
     * 查找试卷分页
     * @param paperListReqDTO
     * @return
     */
    List<PaperListRespDTO> paging(PaperListReqDTO paperListReqDTO);

}




