package com.ruoyi.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.domain.paper.ElPaperQuAnswer;
import com.ruoyi.system.domain.paper.dto.ext.PaperQuAnswerExtDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author 13560
* @description 针对表【el_paper_qu_answer(考试记录答案)】的数据库操作Mapper
* @createDate 2024-06-28 15:02:53
* @Entity generator.domain.ElPaperQuAnswer
*/
@Mapper
public interface ElPaperQuAnswerMapper extends BaseMapper<ElPaperQuAnswer> {


    /**
     * 查找试卷试题答案列表
     * @param paperId
     * @param quId
     * @return
     */
    List<PaperQuAnswerExtDTO> list(@Param("paperId") String paperId, @Param("quId") String quId);

}




