package com.ruoyi.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.domain.repo.ElRepo;
import com.ruoyi.system.domain.repo.vo.RepoVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
* @author 13560
* @description 针对表【el_repo(题库信息)】的数据库操作Mapper
* @createDate 2024-06-27 10:03:50
* @Entity generator.domain.ElRepo
*/
@Mapper
public interface ElRepoMapper extends BaseMapper<ElRepo> {


    /**
     * 查询公告列表
     *
     * @param repo 公告信息
     * @return 公告集合
     */
    public List<RepoVO> selectRepoList(ElRepo repo);

}




