package com.ruoyi.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.exam.ElExam;
import com.ruoyi.system.domain.exam.dto.ExamDTO;
import com.ruoyi.system.domain.exam.dto.response.ExamOnlineRespDTO;

import java.util.List;

/**
* @author 13560
* @description 针对表【el_exam(考试主表)】的数据库操作Service
* @createDate 2024-06-28 08:51:41
*/
public interface ElExamService extends IService<ElExam> {


    public List<ExamDTO> selectExamList(ExamDTO examDTO);


    public List<ExamOnlineRespDTO> onlineExamList(ExamDTO examDTO);

}
