package com.ruoyi.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.paper.ElPaperQuAnswer;
import com.ruoyi.system.domain.paper.dto.ext.PaperQuAnswerExtDTO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author 13560
* @description 针对表【el_paper_qu_answer(考试记录答案)】的数据库操作Service
* @createDate 2024-06-28 15:02:53
*/
public interface ElPaperQuAnswerService extends IService<ElPaperQuAnswer> {


    /**
     * 查找试卷试题答案列表
     * @param paperId
     * @param quId
     * @return
     */
    List<PaperQuAnswerExtDTO> list(@Param("paperId") String paperId, @Param("quId") String quId);

}
