package com.ruoyi.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.paper.ElPaper;
import com.ruoyi.system.domain.paper.dto.request.PaperListReqDTO;
import com.ruoyi.system.domain.paper.dto.response.PaperListRespDTO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author 13560
* @description 针对表【el_paper(考试记录)】的数据库操作Service
* @createDate 2024-06-28 15:02:53
*/
public interface ElPaperService extends IService<ElPaper> {


    /**
     * 查找试卷分页
     * @param query
     * @return
     */
    List<PaperListRespDTO> paging(PaperListReqDTO query);

}
