package com.ruoyi.system.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.system.domain.exam.ElExam;
import com.ruoyi.system.domain.exam.dto.ExamDTO;
import com.ruoyi.system.domain.exam.dto.response.ExamOnlineRespDTO;
import com.ruoyi.system.mapper.ElExamMapper;
import com.ruoyi.system.service.ElExamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author 13560
* @description 针对表【el_exam(考试主表)】的数据库操作Service实现
* @createDate 2024-06-28 08:51:41
*/
@Service
public class ElExamServiceImpl extends ServiceImpl<ElExamMapper, ElExam>
    implements ElExamService {

    @Autowired
    private ElExamMapper elExamMapper;

    @Override
    public List<ExamDTO> selectExamList(ExamDTO examDTO) {
        return elExamMapper.selectExamList(examDTO);
    }

    @Override
    public List<ExamOnlineRespDTO> onlineExamList(ExamDTO examDTO) {
        return elExamMapper.onlineExamList(examDTO);
    }
}




