package com.ruoyi.system.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.system.domain.qu.ElQu;
import com.ruoyi.system.domain.qu.dto.request.QuQueryReqDTO;
import com.ruoyi.system.mapper.ElQuMapper;
import com.ruoyi.system.service.ElQuService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author 13560
* @description 针对表【el_qu(试题主表)】的数据库操作Service实现
* @createDate 2024-06-27 14:33:59
*/
@Service
public class ElQuServiceImpl extends ServiceImpl<ElQuMapper, ElQu>
    implements ElQuService {


    @Autowired
    private ElQuMapper quMapper;

    @Override
    public List<ElQu> selectQuList(QuQueryReqDTO qu) {
        return quMapper.selectQuList(qu);
    }

    @Override
    public List<ElQu> listByRandom(String repoId, Integer quType, List<String> excludes, Integer size) {
        return quMapper.listByRandom(repoId, quType, excludes, size);
    }
}




