package com.ruoyi.system.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.system.domain.exam.dto.ExamDTO;
import com.ruoyi.system.domain.userexam.ElUserExam;
import com.ruoyi.system.domain.userexam.dto.request.UserExamReqDTO;
import com.ruoyi.system.domain.userexam.dto.response.UserExamRespDTO;
import com.ruoyi.system.mapper.ElUserExamMapper;
import com.ruoyi.system.service.ElUserExamService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
* @author 13560
* @description 针对表【el_user_exam(考试记录)】的数据库操作Service实现
* @createDate 2024-07-01 14:31:30
*/
@Service
public class ElUserExamServiceImpl extends ServiceImpl<ElUserExamMapper, ElUserExam>
    implements ElUserExamService {

    @Resource
    private  ElUserExamMapper userExamMapper;

    @Override
    public List<UserExamRespDTO> selectExamList(UserExamReqDTO reqDTO) {
        return userExamMapper.selectExamList(reqDTO);
    }
}




