package com.ruoyi.system.domain.qu;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 试题答案选项
 * @TableName el_qu_answer
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class ElQuAnswer implements Serializable {
    /**
     * 答案ID
     */
    @TableId
    private String id;

    /**
     * 问题ID
     */
    private String quId;

    /**
     * 是否正确
     */
    private Boolean isRight;

    /**
     * 选项图片
     */
    private String image;

    /**
     * 答案内容
     */
    private String content;

    /**
     * 答案分析
     */
    private String analysis;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}