package com.ruoyi.system.domain.repo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
* <p>
* 题库请求类
* </p>
*
* @author 聪明笨狗
* @since 2020-05-25 13:23
*/
@Data
@ApiModel(value="题库", description="题库")
public class RepoVO implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "题库ID")
    private String id;

    @ApiModelProperty(value = "题库编号")
    private String code;

    @ApiModelProperty(value = "题库名称")
    private String title;

    @ApiModelProperty(value = "题库备注")
    private String remark;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "单选题数量")
    private Integer radioCount;

    @ApiModelProperty(value = "多选题数量")
    private Integer multiCount;

    @ApiModelProperty(value = "判断题数量")
    private Integer judgeCount;
}
