package com.ruoyi.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.repo.ElRepo;
import com.ruoyi.system.domain.repo.vo.RepoVO;

import java.util.List;

/**
* @author 13560
* @description 针对表【el_repo(题库信息)】的数据库操作Service
* @createDate 2024-06-27 10:03:50
*/
public interface ElRepoService extends IService<ElRepo> {


    /**
     * 查询公告列表
     *
     * @param repo 公告信息
     * @return 公告集合
     */
    public List<RepoVO> selectRepoList(ElRepo repo);

}
