package com.ruoyi.system.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.system.domain.exam.ElExamRepo;
import com.ruoyi.system.domain.exam.dto.ext.ExamRepoExtDTO;
import com.ruoyi.system.mapper.ElExamRepoMapper;
import com.ruoyi.system.service.ElExamRepoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author 13560
* @description 针对表【el_exam_repo(考试题库)】的数据库操作Service实现
* @createDate 2024-06-28 08:51:41
*/
@Service
public class ElExamRepoServiceImpl extends ServiceImpl<ElExamRepoMapper, ElExamRepo>
    implements ElExamRepoService {

    @Autowired
    private ElExamRepoMapper elExamRepoMapper;

    @Override
    public List<ExamRepoExtDTO> listByExam(String examId) {
        return elExamRepoMapper.listByExam(examId);
    }
}




