package com.ruoyi.system.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.system.domain.paper.ElPaperQuAnswer;
import com.ruoyi.system.domain.paper.dto.ext.PaperQuAnswerExtDTO;
import com.ruoyi.system.mapper.ElPaperQuAnswerMapper;
import com.ruoyi.system.service.ElPaperQuAnswerService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
* @author 13560
* @description 针对表【el_paper_qu_answer(考试记录答案)】的数据库操作Service实现
* @createDate 2024-06-28 15:02:53
*/
@Service
public class ElPaperQuAnswerServiceImpl extends ServiceImpl<ElPaperQuAnswerMapper, ElPaperQuAnswer>
    implements ElPaperQuAnswerService {

    @Resource
    private ElPaperQuAnswerMapper paperQuAnswerMapper;

    @Override
    public List<PaperQuAnswerExtDTO> list(String paperId, String quId) {
        return paperQuAnswerMapper.list(paperId, quId);
    }
}




