package com.ruoyi.system.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.system.domain.paper.ElPaperQu;
import com.ruoyi.system.mapper.ElPaperQuMapper;
import com.ruoyi.system.service.ElPaperQuService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
* @author 13560
* @description 针对表【el_paper_qu(考试记录考题)】的数据库操作Service实现
* @createDate 2024-06-28 15:02:53
*/
@Service
public class ElPaperQuServiceImpl extends ServiceImpl<ElPaperQuMapper, ElPaperQu>
    implements ElPaperQuService {

    @Resource
    private ElPaperQuMapper paperQuMapper;

    @Override
    public int sumObjective(String paperId) {
        return paperQuMapper.sumObjective(paperId);
    }
}




