package com.ruoyi.system.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.system.domain.paper.ElPaper;
import com.ruoyi.system.domain.paper.dto.request.PaperListReqDTO;
import com.ruoyi.system.domain.paper.dto.response.PaperListRespDTO;
import com.ruoyi.system.mapper.ElPaperMapper;
import com.ruoyi.system.service.ElPaperService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
* @author 13560
* @description 针对表【el_paper(考试记录)】的数据库操作Service实现
* @createDate 2024-06-28 15:02:53
*/
@Service
public class ElPaperServiceImpl extends ServiceImpl<ElPaperMapper, ElPaper>
    implements ElPaperService {

    @Resource
    private ElPaperMapper elPaperMapper;

    @Override
    public List<PaperListRespDTO> paging(PaperListReqDTO paperListReqDTO) {
        return elPaperMapper.paging(paperListReqDTO);
    }
}




