package com.ruoyi.system.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.system.domain.repo.ElRepo;
import com.ruoyi.system.domain.repo.vo.RepoVO;
import com.ruoyi.system.mapper.ElRepoMapper;
import com.ruoyi.system.service.ElRepoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author 13560
* @description 针对表【el_repo(题库信息)】的数据库操作Service实现
* @createDate 2024-06-27 10:03:50
*/
@Service
public class ElRepoServiceImpl extends ServiceImpl<ElRepoMapper, ElRepo>
    implements ElRepoService {


    @Autowired
    private ElRepoMapper elRepoMapper;

    @Override
    public List<RepoVO> selectRepoList(ElRepo repo) {
        return  elRepoMapper.selectRepoList(repo);
    }
}




